var app = {

setupAjaxCallbacks: function () {
  $('body').ajaxStart(function () {
    $('#ajax-status').text("Loading...");
    $('#ajax-status').show().animate({top:$(window).scrollTop()+"px" },{queue: false, duration: 20});
  });
  $('body').ajaxStop(function () {
    $('#ajax-status').fadeOut();
  });
  $('body').ajaxError(function (event, xhr, ajaxOptions, thrownError) {
    $('#ajax-status').show().text("ERROR");
  });
}
}


$(function() {
  
  app.setupAjaxCallbacks();
  
  $("#more_link").click(function() {
    $.get(this.href, function(data){
      $("#photos").append(data);
      $('a[rel*=facebox]').unbind('click.facebox');
      $('a[rel*=facebox]').facebox();
    });
    return false;
  });
  
  $('a[rel*=facebox]').facebox();

  $('.clippy').clippy({'clippy_path': '/flash/clippy.swf'});
  
});
