require File.dirname(__FILE__) + "/test_helper"

class AppTest < Test::Unit::TestCase
  include Rack::Test::Methods

  def app
    Sinatra::Application
  end

  def test_it_lists_sets_successfully
    get '/'
    assert last_response.ok?
    assert last_response.body.include?('Flickr Photo Picker')
  end

  def test_it_views_wedding_set_ok
    get '/set/72157626189868224'
    assert last_response.body.include?('An exotic wedding in Neuchatel, Switzerland.')
  end
  
  def test_it_gets_random_rss_successfully
    get '/random.rss'
    assert last_response.ok?, last_response.body
    assert last_response.body.include?('rss')
  end
  
  
end