require 'cgi'

xml.instruct! :xml, :version=>"1.0"
xml.rss(:version=>"0.91") {
  xml.channel{
    xml.title("Random Flickr for #{@current_user}")
    xml.link(@base_url)
    xml.description("A feed of random photos from a flickr user. Useful for random desktop background switching.")
    xml.language("en-us")
    xml.tag! "lastBuildDate", CGI.rfc1123_date(Time.now)
    

    for photo in @photos
      xml.item do
        xml.title(photo["title"])
        xml.link(photo["url_o"])
        xml.description do
          xml.cdata!("<a href=#{photo["url_o"]}><img src=#{photo["url_o"]} border='0' alt='#{photo["title"]}'></a><br/>#{photo["title"]}")
        end
        xml.tag! "pubDate", CGI.rfc1123_date(Time.now)
      end
    end
  }
}